Skip to main content

Update a Fixed-Price Link


Overview

Use the information in this section to update a fixed-price link, such as modifying the billing information for your customers if their billing information changes. When sending an update request, include all of the fields from the original request to create the link. If you exclude a field, the information corresponding to that field is removed from the updated payment page. See Create a Fixed-Price Link for the complete field reference.

Status-only updates (deactivating or reactivating a link) are a permitted exception — you can send only the status field without including the other link fields.

Sending the Request

Endpoint: PATCH /ipl/v2/payment-links/{id}

For environment base URLs, see Endpoints: Pay by Link.

For India Production, use the base URL.

Set {id} to the payment number ID contained in the create payment link response.

Required Fields

orderInformation.amountDetails.currency

Three-character ISO 4217 currency code. For example, USD.

orderInformation.amountDetails.totalAmount

Total price for the item. Maximum 15 characters.

orderInformation.lineItems[].productName

Name of the product or service.

orderInformation.lineItems[].unitPrice

Price per unit.

processingInformation.linkType

Set to PURCHASE.

Optional Fields

clientReferenceInformation.partner.developerId

Set to your developer ID.

clientReferenceInformation.partner.solutionId

Set to your partner solution ID (PSID).

orderInformation.amountDetails.maxAmount

Maximum payment amount allowed.

orderInformation.amountDetails.minAmount

Minimum payment amount allowed.

orderInformation.lineItems[].productDescription

Description of the product or service.

orderInformation.lineItems[].productSku

Product SKU or identifier.

orderInformation.lineItems[].quantity

Number of units.

processingInformation.requestPhone

When true, the payment page prompts the customer to enter a phone number before completing payment.

processingInformation.requestShipping

When true, adds a required shipping address field to the payment form.

purchaseInformation.purchaseNumber

Set to a unique identifier for the payment link.

status

Include this field to activate or deactivate a payment link. Set to one of these values:

  • ACTIVE: The payment link is usable to complete a payment.
  • INACTIVE: The payment link is not usable to complete a payment.

Example

Production:

PATCH /ipl/v2/payment-links/{id}

Test:

PATCH /ipl/v2/payment-links/{id}
{    "processingInformation": {        "linkType": "PURCHASE"    },    "orderInformation": {        "amountDetails": {            "currency": "USD",            "totalAmount": "75"        },        "lineItems": [            {                "productName": "Birthday Cake",                "unitPrice": "75"            }        ]    }}
{  "_links": {    "self": {      "href": "/ipl/v2/payment-links/78759658968978",      "method": "GET"    },    "update": {      "href": "/ipl/v2/payment-links/78759658968978",      "method": "PATCH"    }  },  "id": "78759658968978",  "submitTimeUtc": "2024-08-15T21:11:46.163224519Z",  "status": "ACTIVE",  "processingInformation": {    "linkType": "PURCHASE",    "requestPhone": false,    "requestShipping": false  },  "purchaseInformation": {    "purchaseNumber": "78759658968978",    "createdDate": "2024-08-15T21:08:24.593",    "paymentLink": "/ebc2/payByLink/pay/e1PxwGdhJWtz3MBXCE7DvuXoYlT7G0I2kyb3gRrQY6bLWbH5769guEPlUri2z7Kc"  },  "orderInformation": {    "amountDetails": {      "totalAmount": 75,      "currency": "USD"    },    "lineItems": [      {        "productName": "Birthday Cake",        "unitPrice": 75,        "quantity": 1      }    ]  }}

You can deactivate a payment link to no longer allow your customers to use the link. To do this, include the status field in your update request and set it to INACTIVE. If you want to activate the payment link again, you can send your update request with the status field set to ACTIVE.

Production:

PATCH /ipl/v2/payment-links/{id}

Test:

PATCH /ipl/v2/payment-links/{id}
{  "status": "INACTIVE"}

Response

A successful response returns HTTP 200 with the updated payment link details. The response shape matches the create payment link response — see Create a Fixed-Price Link for field descriptions.

Common error responses:

  • 400 — A required field is missing or a field value is invalid.
  • 401 — Authentication failed. Verify your credentials.
  • 404 — No payment link found for the specified {id}.

Last published: September 29, 2026